'use strict';
CKEDITOR.plugins.add( 'ck-contact-form', {
	requires: 'widget',
	icons: 'ck-contact-form',
	init: function( editor ) {
		editor.addContentsCss( this.path + 'contents.css' );
		editor.widgets.add( 'ck-contact-form', {
			allowedContent:
				'div(*);',

			requiredContent: 'div(ck-contact-form)',

			template:
				'<div class="ck-contact-form w100 loading js-ck-contact-form"></div>',

			button: 'Contact form',
			upcast: function( element ) {
				return element.name == 'div' && element.hasClass( 'ck-contact-form' );
			}
		} );
	}
} );